<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.Role"
	import="net.sf.basedb.core.Group"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.Permission"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.SystemItems"
	import="net.sf.basedb.core.ItemQuery"
	import="net.sf.basedb.core.query.Expressions"
	import="net.sf.basedb.core.query.Hql"
	import="net.sf.basedb.core.query.Restrictions"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="java.util.List"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	
	boolean isAdmin = user.getId() == SystemItems.getId(User.ROOT);
	boolean isPatientCurator = false;
	if (!isAdmin)
	{
		try
		{
			Role admin = Role.getById(dc, SystemItems.getId(Role.ADMINISTRATOR));
			isAdmin = sc.isMemberOf(admin);
		}
		catch (RuntimeException ex)
		{}
	}
	try
	{
		ItemQuery<Group> query = Group.getQuery();
		query.restrict(Restrictions.eq(Hql.property("name"), Expressions.string("PatientCurator")));
		List<Group> result = query.list(dc);
		if (result.size() == 1)
		{
			isPatientCurator = sc.isMemberOf(result.get(0));
		}
	}
	catch (RuntimeException ex)
	{}
%>
<base:page type="default" >
<base:head styles="path.css,~css/reggie-2.css" scripts="~index.js,~reggie-2.js">
<style>
dl
{
	margin-top: 0px;
	padding: 3px;
}
dt
{
	margin-top: 0.5em;
	margin-left: 0.5em;
}
dd
{
	margin-left: 0.5em;
	margin-bottom: 0.5em;
	padding-left: 3em;
}
ul
{
	margin-top: 0px;
	margin-bottom: 0px;
	margin-left: 0em;
	padding-left: 0em;
}
li
{
	margin-left: 0em;
}
img
{
	vertical-align: text-bottom;
}
h3
{
	color: #333377;
	background: #E8E8E8;
	font-weight: bold;
	margin: 0;
	padding: 1px 4px 1px 4px;
	border: 1px solid #A0A0A0;
	font-size: 1em;
}
.not-implemented
{
	filter: url(css/filters.svg#grayscale); /* Firfox, etc */
	filter: gray; /* IE */
	opacity: 0.75;
	pointer-events: none;
}

.not-implemented:after
{
	content: ' -- coming soon';
}
.counter
{
	color: #999999;
	font-style: italic;
}

.require-permission
{
	color: #999999;
	font-style: italic;
}

.snake-quote
{
	width: 32em;
}

.snake-quote-source
{
	margin-top: 0.5em;
	float: right;
	font-style: italic;
}

.snake-quote .notify-message
{
	margin: 0;
}

.snake-quote .notify-message:before
{
	margin: 0;
	content: '';
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement title="Reggie" /></p:path>

	<div class="content">
		<form name="reggie" id="wizard">
		<div id="wizard-status" style="position: absolute; z-index: 99; left: 25%; right: 25%; top: 25%; height: auto; text-align: center;"></div>
		<div class="absolutefull" style="width: 33%;">
			<div class="absolutefull" style="left: 1em; right: 0.5em; ">
			
				<h3>Sample processing wizards</h3>
				<dl class="leftborder rightborder bottomborder has-lib-prep">

				<dt>
					<base:icon image="<%=home+"/images/specimen.png" %>" />
					<span class="require-permission" data-role="SamplePrep" data-link="sampleproc/specimentube.jsp?ID=<%=ID%>"
						>Specimen tube registration</span>
				</dt>
				<dd>
					<ul>
					<li>Register new specimen tubes.
					<li>Update existing specimen tubes.
					</ul>
				</dd>

				<dt>
					<base:icon image="<%=home+"/images/partition.png" %>" />
					<span class="require-permission" data-role="SamplePrep" data-link="sampleproc/partitionform.jsp?ID=<%=ID%>"
						>Partition wizard</span>
				</dt>
				<dd>
					<ul>
					<li>Register new partitions of existing specimens 
						<span class="counter" id="count.specimen"
							data-servlet="PartitionRegistration.servlet?cmd=CountSpecimenTubes" 
							title="Number of unpartitioned specimen">∙</span>
					</ul>
				</dd>
					
				<dt>
					<base:icon image="<%=home+"/images/extraction.png" %>" />
					DNA/RNA extraction wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/allprep_protocol.jsp?ID=<%=ID%>"
						>Lab tracking protocol for Allprep isolation</span> 
						<span class="counter" id="count.lysate.1" 
							data-servlet="Extraction.servlet?cmd=CountUnprocessedLysates"
							title="Number of unprocessed lysates">∙</span>

					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/extraction_registration.jsp?ID=<%=ID%>"
						>DNA/RNA/FlowThrough registration</span> 
						<span class="counter" id="count.lysate.2" 
							data-copy-from="count.lysate.1"
							title="Number of unprocessed lysates">∙</span>
					</ul>
				</dd>
				<dt>
					<base:icon image="<%=home+"/images/rnaqc.png" %>" />
					RNA quality control wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_aliquot.jsp?ID=<%=ID%>"
						>Create aliquots on Bioanalyzer/Caliper plates</span> 
						<span class="counter" id="count.rnaqc" 
							data-servlet="RnaQc.servlet?cmd=CountRnaExtractsWithoutQc"
							title="Number of RNA waiting for QC">∙</span>
					
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_plate_export.jsp?ID=<%=ID%>"
						>Export Caliper sample names and run parameters</span> 
						<span class="counter" id="count.caliper-plates.1" 
							data-servlet="RnaQc.servlet?cmd=CountActiveRnaQcBioPlates"
							title="Number of active Caliper plates">∙</span>
					
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_plate_import.jsp?ID=<%=ID%>"
						>Import RQS scores from Caliper well table file</span> 
						<span class="counter" id="count.caliper-plates.2" 
							data-copy-from="count.caliper-plates.1"
							title="Number of active Caliper plates">∙</span>
					</ul>
				</dd>			
				</dl>
			
				<h3>Histology wizards</h3>
				<dl class="leftborder rightborder bottomborder">			
				<dt>
					<base:icon image="<%=home+"/images/histology.png" %>" />
					Embedding and staining wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_protocol.jsp?ID=<%=ID%>"
						>Lab tracking protocol for FFPE/HE</span> 
						<span class="counter" id="count.histology-lists" 
							data-servlet="Histology.servlet?cmd=CountActiveHistologyWorkLists"
							title="Number of active histology work lists">∙</span>
					
					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_block.jsp?ID=<%=ID%>"
						>Register paraffin blocks</span> 
						<span class="counter" id="count.paraffin-blocks"
							data-servlet="Histology.servlet?cmd=CountParaffinBlocks"
						 	title="Number of paraffin blocks waiting for registration">∙</span>

					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_labels.jsp?ID=<%=ID%>"
						>Download HE glass labels</span>
					
					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_glass.jsp?ID=<%=ID%>"
						>Register HE glass</span> 
						<span class="counter" id="count.paraffin-blocks-without-heglass" 
							data-servlet="Histology.servlet?cmd=CountParaffinBlocksWithoutHeGlass"
							title="Number of paraffin blocks without HE glass">∙</span>
					</ul>
				</dd>
				
				<dt>
					<base:icon image="<%=home+"/images/microscope.png" %>" />
					Scoring wizard
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_score.jsp?ID=<%=ID%>"
						>Score HE glass</span> 
						<span class="counter" id="count.unscored-heglass" 
							data-servlet="Histology.servlet?cmd=CountUnscoredHeGlass"
							title="Number of unscored HE glass">∙</span>
					</ul>
				</dd>
				</dl>
			
			
				<h3>Library preparation wizards</h3>
				<dl class="leftborder rightborder bottomborder">
			
				<dt>
					<base:icon image="<%=home+"/images/pipette.png" %>" />
					RNA to cDNA wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="LibraryPlateDesigner" data-link="libprep/select_rna.jsp?ID=<%=ID%>"
						>Create new mRNA plate</span> 
						<span class="counter" id="count.rna-without-mrna" 
							data-servlet="MRna.servlet?cmd=CountRnaWithoutMRna"
							title="Number of RNA with no mRNA">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/mrna_protocol.jsp?ID=<%=ID%>"
						>Lab protocols for mRNA and cDNA preparation</span> 
						<span class="counter" id="count.mrna-plates" 
							data-servlet="MRna.servlet?cmd=CountUnprocessedPlates&plateType=MRNA"
							title="Number of mRNA plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/rna_dilution_registration.jsp?ID=<%=ID%>"
						>RNA dilution registration</span>
						<span class="counter" id="count.undiluted-mrna-plates" 
							data-servlet="MRna.servlet?cmd=CountUndilutedMRNAPlates"
							title="Number of mRNA plates waiting for dilution">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/mrna_registration.jsp?ID=<%=ID%>"
						>mRNA registration and quality control results</span> 
						<span class="counter" id="count.diluted-mrna-plates" 
							data-servlet="MRna.servlet?cmd=CountDilutedMRNAPlates"
							title="Number of mRNA plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/cdna_registration.jsp?ID=<%=ID%>"
						>cDNA registration</span> 
						<span class="counter" id="count.cdna-plates.1" 
							data-servlet="MRna.servlet?cmd=CountUnprocessedPlates&plateType=CDNA"
							title="Number of cDNA plates waiting for registration">∙</span>
					</ul>
				</dd>
				
				<dt>
					<base:icon image="<%=home+"/images/libprep.png" %>" />
					Library preparation wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/assign_barcode.jsp?ID=<%=ID%>"
						>Assign barcodes to cDNA plate</span> 
						<span class="counter" id="count.cdna-plates-for-barcoding" 
							data-servlet="LibPrep.servlet?cmd=CountCDNAPlatesForBarcoding"
							title="Number of cDNA plates waiting for barcode layout">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/libprep_protocol.jsp?ID=<%=ID%>"
						>Lab protocols and files for library preparation</span> 
						<span class="counter" id="count.lib-plates.1" 
							data-servlet="LibPrep.servlet?cmd=CountLibPlatesForLibPrep"
							title="Number of Lib plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/libqc_registration.jsp?ID=<%=ID%>"
						>Register quality control results</span> 
						<span class="counter" id="count.lib-plates.2" 
							data-copy-from="count.lib-plates.1"
							title="Number of Lib plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/lib_registration.jsp?ID=<%=ID%>"
						>Library registration</span> 
						<span class="counter" id="count.lib-plates.3" 
							data-copy-from="count.lib-plates.1"
							title="Number of Lib plates waiting for registration">∙</span>
					</ul>
				</dd>
				<dt>
					<base:icon image="<%=home+"/images/pool.png" %>" />
					Pooling wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/create_pools.jsp?ID=<%=ID%>"
						>Create pooled libraries</span> 
						<span class="counter" id="count.lib-plates-for-pooling"
							data-servlet="Pool.servlet?cmd=CountLibraryPlatesForPooling" 
							title="Number of Lib plates waiting for pooling">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/pool_protocol.jsp?ID=<%=ID%>"
						>Lab protocols for pooling</span> 
						<span class="counter" id="count.pools.1" 
							data-servlet="Pool.servlet?cmd=CountUnprocessedPools"
							title="Number of pools waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/pool_registration.jsp?ID=<%=ID%>"
						>Register pooled libraries</span> 
						<span class="counter" id="count.pools.2" 
							data-copy-from="count.pools.1"
							title="Number of pools waiting for registration">∙</span>
					</ul>
				</dd>
				
				<dt>
					<base:icon image="<%=home+"/images/flowcell.png" %>" />
					Clustering and sequencing wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/create_flowcells.jsp?ID=<%=ID%>"
						>Create flow cells</span> 
						<span class="counter" id="count.unused-pools" 
							data-servlet="FlowCell.servlet?cmd=CountUnusedPools"
							title="Number of pools waiting for sequencing">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/flowcell_protocol.jsp?ID=<%=ID%>"
						>Lab protocol for clustering and sequencing</span> 
						<span class="counter" id="count.flow-cells.1" 
							data-servlet="FlowCell.servlet?cmd=CountUnprocessedFlowCells"
							title="Number of flow cells waiting for clustering">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/flowcell_registration.jsp?ID=<%=ID%>"
						>Register clustering</span> 
						<span class="counter" id="count.flow-cells.2" 
							data-copy-from="count.flow-cells.1"
							title="Number of flow cells waiting for clustering">∙</span>

					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/sequencing_started.jsp?ID=<%=ID%>"
						>Register sequencing started</span> 
						<span class="counter" id="count.clustered-flow-cells"
							data-servlet="FlowCell.servlet?cmd=CountClusteredFlowCells" 
							title="Number of flow cells waiting for sequencing">∙</span>

					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/sequencing_ended.jsp?ID=<%=ID%>"
						>Register sequencing ended</span> 
						<span class="counter" id="count.sequencing-run" 
							data-servlet="SequencingRun.servlet?cmd=CountActiveSequencingRuns"
							title="Number of active sequencing runs">∙</span>
					</ul>
				</dd>
				
				</dl>
			</div>
		</div>
		
		<div class="absolutefull" style="width: 34%; left: 33%; right: auto;">
			<div class="absolutefull" style="left: 0.5em; right: 0.5em;">
				<h3>Secondary analysis wizards</h3>
				<dl class="leftborder rightborder bottomborder">
					<dt>
						<base:icon image="<%=home+"/images/server.png" %>" />
						Demux and merge wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/sequencing_confirm.jsp?ID=<%=ID%>"
							>Confirm sequencing completed</span> 
							<span class="counter" id="count.unconfirmed-sequencing-run" 
								data-servlet="SequencingRun.servlet?cmd=CountUnconfirmedSequencingRuns"
								title="Number of ended but not confirmed sequencing runs">∙</span>
						
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/demux_start.jsp?ID=<%=ID%>"
							>Start demux and merge</span> 
							<span class="counter" id="count.confirmed-sequencing-run" 
								data-servlet="DemuxMerge.servlet?cmd=CountConfirmedSequencingRuns"
								title="Number of confirmed sequencing runs waiting to be demuxed">∙</span>
						
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/demux_confirm.jsp?ID=<%=ID%>"
							>Confirm demux and merge completed</span> 
							<span class="counter" id="count.unconfirmed-demux-jobs" 
								data-servlet="DemuxMerge.servlet?cmd=CountUnconfirmedDemuxJobs"
								title="Number of demux jobs waiting for confirmation">∙</span>
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/align.png" %>" />
						Masking and alignment wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/align_start.jsp?ID=<%=ID%>"
							>Start masking and alignment</span> 
							<span class="counter" id="count.merged-sequences-for-alignment" 
								data-servlet="MaskAlign.servlet?cmd=CountMergedSequencesForAlignment"
								title="Number of merged sequences waiting for alignment">∙</span>
								
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/align_confirm.jsp?ID=<%=ID%>"
							>Confirm masking and alignment completed</span> 
							<span class="counter" id="count.merged-unconfirmed-aligned-sequences" 
								data-servlet="MaskAlign.servlet?cmd=CountUnconfirmedAlignedSequences"
								title="Number of aligned sequences waiting for confirmation">∙</span>
						</ul>
					</dd>
					<dt>
					
						<base:icon image="<%=home+"/images/wizard.png" %>" />
						Feature extraction wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/cufflinks_start.jsp?ID=<%=ID%>"
							>Start feature extraction</span> 
						<span class="counter" id="count.aligned-sequences-for-cufflinks" 
								data-servlet="Cufflinks.servlet?cmd=CountConfirmedAlignedSequences"
								title="Number of aligned sequences confirmed for Cufflinks">∙</span>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/cufflinks_confirm.jsp?ID=<%=ID%>"
							>Confirm feature extraction completed</span>
						<span class="counter" id="count.unconfirmed-cufflinks" 
							data-servlet="Cufflinks.servlet?cmd=CountUnconfirmed"
							title="Number of Cufflinks jobs waiting for confirmation">∙</span>
						</ul>
					</dd>
				</dl>
				
				
			</div>
		</div>
		
		<div class="absolutefull" style="width: 33%; left: auto;">
			<div class="absolutefull" style="left: 0.5em; right: 1em;">
				<%
				if (isAdmin)
				{
					%>
					<h3>Server administrator wizards</h3>
					<dl class="leftborder rightborder bottomborder">
					<dt>
						<base:icon image="<%=home + "/images/install.png" %>" />
						<span class="require-permission" data-role="Administrator" data-link="admin/install.jsp?ID=<%=ID%>">Installation wizard</span>
					</dt>
					<dd>
						<ul>
						<li>Check that annotation types and other items used by Reggie exists in BASE.
						<li>Create missing items.
						</ul>
					</dd>
					<dt>
						<base:icon image="<%=home + "/images/ogs-cluster.png"%>" />
						<span class="require-permission" data-role="Administrator" data-link="admin/grid/list-clusters.jsp?ID=<%=ID%>">Open Grid Scheduler</span>
					</dl>
					<%
				}
				if (isPatientCurator || isAdmin)
				{
					%>
					<h3>Personal information wizards</h3>
					<dl class="leftborder rightborder bottomborder">
					<dt>
						<base:icon image="<%=home + "/images/personal.png" %>"/>
						<span class="require-permission" data-role="PatientCurator" data-link="personal/persinfo.jsp?ID=<%=ID%>"
							>Pathology referral form registration</span>
					</dt>
					<dd>
						<ul>
						<li>Register new cases and patients.
						<li>Update existing cases and specimen tubes.
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home + "/images/blood.png" %>"/>
						Blood referral form registration
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/bloodform.jsp?ID=<%=ID%>"
							>Register new/updated blood referral forms and patients</span>
							
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/bloodfollowupform.jsp?ID=<%=ID%>"
							>Register new/updated follow-up blood referral forms</span>
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/consent.png" %>"/>
						<span class="require-permission" data-role="PatientCurator" data-link="personal/consentform.jsp?ID=<%=ID%>"
							>Consent form registration</span>
					</dt>
					<dd>
						<ul>
						<li>Register consent forms.
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/export_import.png" %>" />
						Export/import information to/from external registers.
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export-monthly-oplist.jsp?ID=<%=ID%>"
							>Export monthly operation list</span>
							
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export-inca.jsp?ID=<%=ID%>"
							>INCA export</span>

						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export_missing_data_sample_list.jsp?ID=<%=ID%>"
							>Export missing data sample list</span>

						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export_missing_consent_data_sample_list.jsp?ID=<%=ID%>"
							>Export missing consent data sample list</span>
						</ul>
					</dd>

					<dt>
						<base:icon image="<%=home+"/images/delete.png" %>" />
						Retraction wizard
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/retractionform.jsp?ID=<%=ID%>"
							>Mark extracts for retraction</span>
						</ul>
					</dd>
					</dl>
					<%
				}
				%>
				
				<h3>Statistics and reporting wizards</h3>
				<dl class="leftborder rightborder bottomborder">
					<dt>
						<base:icon image="<%=home+"/images/case_summary.png" %>" />
						Case summary
					</dt>
					<dd>
						<table>
						<tr>
							<td><input type="text" class="text" 
								name="caseName" id="caseName" title="Please enter a 7-digit case id" 
								style="width: 15em;"></td>
							<td><base:button id="btnCaseSummary" title="Go" image="<%=home+"/images/gonext.png"%>" /></td>
						</tr>
						</table>
					</dd>
				
					<dt>
						<base:icon image="<%=home+"/images/report.png" %>" />
						<span class="require-permission" data-role="" data-link="reports/samplereportgenerator.jsp?ID=<%=ID%>"
							>Sample source report</span>
					</dt>				
					<dd>				
						<ul>
						<li>Sample count report</li> 
						<li>Consent count report</li> 
						<li>Patient count report</li> 
						<li>Overview report</li> 
						<li>Missing sample data report</li> 
						</ul>
					</dd>
					<dt>
						<base:icon image="<%=home+"/images/chart_bar.png" %>" />
						<span class="require-permission" data-role="" data-link="reports/scanbquartermonthreportgenerator.jsp?ID=<%=ID%>"
							>Sample processing statistics</span>
					</dt>				
					<dd>				
						<ul>
						<li>SCAN-B quarter/month report</li> 
						</ul>
					</dd>
				</dl>
			</div>
		</div>
		</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>