<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~rna_dilution_registration.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="RNA dilution registration" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select mRNA bioplate</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">mRNA bioplate</td>
				<td class="input"><select class="required" name="bioplate" id="bioplate"></select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
					Select an existing mRNA bioplate. The list contain all mRNA bioplates that
					has not been diluted, but not yet registered as completed (determined by the absence of a 
					'DilutionDate' annotation).
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title" id="step-2-title">mRNA preparation information</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Dilution date</td>
				<td class="input">
					<input type="text" name="dilutionDate" id="dilutionDate"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="dilutionOperator"
						style="width: 12em;" maxlength="10">
						<base:icon 
							id="dilutionDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="dilutionDate"
							data-date-format="yyyyMMdd"
							data-title="Dilution date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="dilutionDate.status"></td>
				<td class="help">
					<span id="dilutionDate.message" class="message"></span>
					Date the RNA was diluted (YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="prompt">Operator</td>
				<td class="input">
					<input type="text" name="dilutionOperator" id="dilutionOperator"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="comments"
						value="<%=HTML.encodeTags(user.getName()) %>" maxlength="255">
				</td>
				<td class="status" id="dilutionOperator.status"></td>
				<td class="help">
					<span id="dilutionOperator.message" class="message"></span>
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input">
					<textarea rows="4"name="comments" id="comments"></textarea>
				</td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
					Comments about the mRNA processing.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>